// ShellHook.cpp : Defines the entry point for the DLL application.
//

#include "stdafx.h"
#include "ShellHook.h"

#pragma data_seg(".dkmy_shared")
HWND	DkmyLastHwnd = NULL;
DWORD	DkmyNumInstances = 0;
#pragma data_seg()

HHOOK DkmyHookH = NULL;


SHELLHOOK_API LRESULT CALLBACK DkmyShellProc( int nCode, WPARAM wParam, LPARAM lParam )
{
	switch (nCode) {
		case HSHELL_WINDOWACTIVATED:
		case HSHELL_WINDOWCREATED:
			if (wParam != 0) DkmyLastHwnd = reinterpret_cast<HWND>(wParam);
			break;
		default:
			break;
	}
	return CallNextHookEx(DkmyHookH, nCode, wParam, lParam);
}
